WHICH(1)

NAME
which - finde einen Befehl

ÜBERSICHT
which [-as] filename ...

BESCHREIBUNG
which liefert die Pfadnamen der Dateien (oder Links), die in der aktuellen Umgebung ausgeführt würden, wenn ihre Argumente als Befehle in einer streng-POSIX-konformen Shell übergeben worden wären. Dies erfolgt, indem der PATH nach ausführbaren Dateien, die auf die Argumente passen, durchsucht wird. Pfadnamen werden nicht in eine kanonische Form gebracht.

OPTIONEN

-a  alle passenden Pfadnamen für jede Option ausgeben

-s  silently return 0 if all of the executables were found or 1 otherwise

EXIT-STATUS

0   falls alle angegebenen Befehle gefunden wurden und ausführbar waren

1   falls ein oder mehrere angegebene Befehle nicht existieren oder nicht ausführbar sind

2   falls eine ungültige Option angegeben wurde

ÜBERSETZUNG
Diese Übersetzung wurde 2011, 2012, 2017, 2018, 2020, 2022 von Helge Kreutzmann erstellt. Sie unterliegt der GNU GPL Version 2 (oder neuer). Um die englische Originalversion zu lesen, geben Sie »man -L C BEFEHL« ein. Fehler in der Übersetzung melden Sie bitte über die Fehlerdatenbank (BTS) von Debian oder indem Sie eine E-Mail an <debian-l10-german@lists.debian.org>, schreiben.